@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

* {
  margin: 0;
}

:root {
  --bg_color: #171421;
  --bg_alt: #211d30;
  --white: #DEDEDE;
  --blue: #5682ff;
  --teal: #00a2cc;
  --mid_teal: #00657f;
  --dark_teal: #004D61;
  --bs-gutter-x: 1.5rem;
  --bs-gutter-y: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: var(--bg_color);
  color: var(--white);
  font-family: 'Verdana';
  font-size: 15px;
}

footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--bg_alt);
  animation: fadeIn 0.3s;
  padding-left: 10px;
}

a {
  color: var(--blue);
}

h1 {
  margin: 0.67em 0;
}

p {
  margin: 1em 0;
}

.content {
  flex: 1;
  overflow-y: auto;
  margin-top: 10px;
  animation: fadeIn 0.4s;
  padding-right: calc(var(--bs-gutter-x) * .5);
  padding-left: calc(var(--bs-gutter-x) * .5);
  justify-items: center;
}

.tab-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 10px;
  animation: fadeIn 0.3s;
}

.tab-bar h1 {
  /* font-family: 'Times New Roman'; */
  margin: 0;
  font-weight: 600;
  font-size: 1.8rem;
}

.nav-button {
  display: inline-block;
  padding: 12px 20px;
  border-radius: 4px;
  margin: 2px;
  background-color: var(--teal);
  color: var(--white);
  text-decoration: none;
  transition: all 0.5s ease;
}

.nav-button:hover {
  background-color: var(--dark_teal);
  transform: scale(1.02);
}
.nav-button.active {
  background-color: var(--mid_teal);
  pointer-events: none;
}
